from gi.repository import Gtk
from gi.repository import Gdk
from gi.repository import SugarGestures
from gi.repository import SugarExt

def _destroy_cb(widget, data=None):
    Gtk.main_quit()

def _swipe_ended_cb(controller, direction):
    print '===> Swept in direction: ', direction

RECT_WIDTH = 400
RECT_HEIGHT = 400

grabber = SugarExt.GestureGrabber()
screen = Gdk.Screen.get_default()

rect = Gdk.Rectangle()
rect.x = (Gdk.Screen.width() - RECT_WIDTH) / 2
rect.y = 0
rect.width = RECT_WIDTH
rect.height = RECT_HEIGHT

swipe = SugarGestures.SwipeController()
swipe.connect('swipe-ended', _swipe_ended_cb)
grabber.add(swipe, rect)

window = Gtk.Window()
window.set_default_size(800, 640)
window.connect("destroy", _destroy_cb)

window.show()
Gtk.main()
